I need a definitive answer: 3.9 bootloader, 1.0.2 OTB Jailbreak on AT&T non-iPhone

Discussion in 'Jailbreaks and iOS Hacks' started by hobo, Feb 15, 2008.

  1. hobo macrumors regular

    Joined:
    Mar 13, 2005
    #1
    I've gotten so many answers to this question that start with "I think..."

    I need a real answer. I'm on 1.1.2, have 3.9 bootloader, and the 04.02.13_G modem firmware. I am on AT&T, but not an iPhone plan.

    What do I need to do to get on 1.1.3 and use my existing plan? I did not ever need to unlock before, I don't think I should have to now. Last time I tried 1.1.3 I did the activate, jailbreak, and unlock on ZiPhone, and it gave me the "Incorrect SIM" error when I downgraded to any pre-1.1.3 firmware. This was before ZiPhone supported 3.9, I believe (Tuesday I think).

    Anyone know for sure what I will need to do? I'm using 1.1.2 with only YouTube searches and Most Viewed lists not working - bookmarks from previous restores will load the video.
     
  2. kbonnel macrumors 6502

    Joined:
    Mar 1, 2004
    Location:
    In a nice place..
    #2
    Hi Hobo,

    Unfortunately, there never is a "definitive" answer when it comes to the iphone, as it has been shown that what works with one phone isn't always guaranteed to work on another :( I am not 100% I understand what problems you were having below though. I had a 1.02 phone, and was using 1.1.1 for a long time. I just recently (Thursday) upgraded to 1.1.3 using the below instructions. Everything is working for me just fine.

    That said, "I think" you will be OK :)

    You basically are doing the same thing that I do when I am in the U.S. (use my cingular SIM in my iphone).

    So, for you to keep doing what you are doing, you should just do the following:

    1. backup your phone with itunes (i.e. sync)
    2. Restore your phone to 1.1.3 using itunes (do a restore vs. an upgrade, give yourself a nice clean untouched iphone)
    3. using the ziphone, jailbreak and activate the phone. (you shouldn't have to use the unlock option since you have an AT&T/cingular SIM, so you should just need to activate the phone)

    That should be all you need to do since you will be using a "real" AT&T SIM. If you get an incorrect SIM, then you can use the ziphone to unlock the phone, or you can download and install anysim 1.1.3.

    If you have issues, then no worries, as you can always "downgrade" to 1.1.2 by putting the phone in DFU mode and Restoring to 1.1.2 in itunes, then redo what you had previously done.

    Kimo


     
  3. xply macrumors newbie

    Joined:
    Sep 9, 2007
    #3
    I used ziphone 2.2 and it worked perfectly. upgraded from and unlocked 1.1.2 with baseband 3.9. I also use an ATT sim but am not on an iPhone contract plan (i use pay as you go).

    make sure you DON'T check the "UNLOCK" box in the ziphone program since you are using bootloader 3.9. Only check the boxes "activate" and "jailbreak".
     
  4. hobo thread starter macrumors regular

    Joined:
    Mar 13, 2005
    #4
    Yikes, I got locked out to the "No WiFi, Bluetooth Unavailable, ICCID Unknown.... etc." issue.

    Trying to revirginize again, it only happened after I ran iErase in ZiPhone... is this supposed to happen?

    edit: this was almost TOO easy to fix. DFU mode to 1.0.2 put back on the 03.14.08_G Modem Firmware, now I'm going up to 1.1.1 and then jailbreaking to 1.1.2. I guess I'll hold off on 1.1.3 for at least the next week (I want to have a working phone for my vacation!

    Also, this tutorial was very helpful the last time I had baseband issues, is there any chance I could go to 1.1.3 then do that to get it to activate my SIM on 1.1.3? I'd have to use mobileterminal or something like that...
     

Share This Page